package com.game 
{
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.Text;
	/**
	 * ...
	 * @author ...
	 */
	public class ShadowedText extends Entity
	{
		private var textField:Text;
		private var textShadow:Text;
		
		public function ShadowedText(text:String, color:uint, size:int)
		{
			textField = new Text(text, 0, 0, { color: color, size: size, wordWrap:true } );
			textShadow = new Text(text, 2, 2, { color: 0x000000, size: size, wordWrap:true } );
			
			textField.width = textShadow.width = 200;
			textField.height = textShadow.height = 200;
			
			this.graphic = new Graphiclist(textShadow, textField);
		}
		
		public function set text(txt:String):void
		{
			textField.text = txt;
			textShadow.text = txt;
		}
		
	}

}