package com.hud 
{
	import flash.display.Sprite;
	import net.flashpunk.Entity;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	import net.flashpunk.graphics.Canvas;
	import net.flashpunk.graphics.Spritemap;
	import net.flashpunk.graphics.Text;
	import net.flashpunk.graphics.Graphiclist;
	import net.flashpunk.graphics.Image;
	/**
	 * ...
	 * @author  Arthur Zeferino
	 */
	public class IdeaButton extends Entity
	{
		[Embed(source = '../../../resources/baloon.png')]
		private static const SPRITEDATA:Class;
		
		private var _text:String;
		private var textField:Text;
		
		protected var bgImage:Spritemap;
		public var speedVector:Point;
		
		public function IdeaButton()  
		{
			//super(w, h, color, borderThick, borderCol);
			
			bgImage = new Spritemap(SPRITEDATA, 150, 60);
			bgImage.add("puff", [0, 1, 2], 1.5, false);
			textField = new Text("", 5, 5, { color: 0x8498FF, size: 18, wordWrap:true, width:bgImage.width, height:bgImage.height, align: "center" });
			
			
			setHitbox(bgImage.width, bgImage.height);
			
			this.graphic = new Graphiclist(bgImage, textField);
		}

		public function set text(txt:String):void
		{
			_text = txt;
			textField.text = txt;
		}
		
		public function get text():String
		{
			return _text;
		}	
		
		public function select(callBack:Function):void
		{
			bgImage.callback = callBack;
			bgImage.play("puff");
			/*var bgRect:Rectangle = new Rectangle(bg.x, bg.y, bg.width, bg.height);
			var borderRect:Rectangle = new Rectangle(border.x, border.y, border.width, border.height);
			var borderCol:uint = border.color;
			
			border = new Canvas(border.width, border.height);
			border.fill(borderRect, borderCol);
			
			bg = new Canvas(bg.width, bg.height);
			bg.fill(bgRect, selColor);
			
			this.graphic = new Graphiclist(border, bg,textField);*/
		}
	}

}